#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

PROFILE=/flash/qvidium/decoder/profile
DEFAULTS=/flash/qvidium/decoder/defaults

if [ -f $DEFAULTS ] ; then
    cp $DEFAULTS $PROFILE
else
    cat << EOT > $PROFILE
TRANSPORT=UDP
MULTICAST_IPADDR=
UDP_PORT=10000
NETWORK_JITTER=50
OUT_OF_ORDER_SIZE=
RESPONSE=250
ROBUST=1
NUM_RETRIES=2
RT_TIME=100
ARQ_MODE=Auto
ARQ_PORT=7020
PING_SENDER=0
SERVER_IPADDR=
ECHO_PORT=7
EOT
fi

cat << EOT
Content-type: text/html

<HTML>
<HEAD>
<TITLE>Decoder Profile</TITLE>
<link rel="stylesheet" href="/style.css" type="text/css">
</HEAD>
<BODY>
Decoder profile set to defaults.
</BODY>
</HTML>
EOT
