#!/bin/sh

# Copyright (C) 2004-2010 QVidium Technologies, Inc. All rights reserved.

cat << EOT
Content-type: text/html

<HTML>
<HEAD>
<TITLE>Decoder Status</TITLE>
<link rel="stylesheet" href="/style.css" type="text/css">
</HEAD>
<BODY>
<h2><center>Decoder Status</center></h2>
EOT

if [ ! -r /flash/qvidium/decoder/profile ] ; then
    cp /flash/qvidium/decoder/defaults /flash/qvidium/decoder/profile
fi

/qvidium/rc.net_in start /flash/qvidium/decoder/profile

if [ $? = 111 ] ; then
    cat /var/log/net_in.log
else
    pidof decoder > /dev/null
    if [ $? = 0 ] ; then
        echo "Decoder started"
    else
        echo "Decoder not running"
    fi
fi

cat << EOT
</BODY>
</HTML>
EOT

exit 0
