#!/bin/sh

# Copyright (C) 2004-2010 QVidium Technologies, Inc. All rights reserved.

HAS_SDI=false
[ -f /flash/qvidium/inputs.conf ] && . /flash/qvidium/inputs.conf
[ "$HAS_SDI" = "" ] && HAS_SDI=false

cat << EOM
Content-type: text/html

<HTML>
<HEAD>
<TITLE>Processes</TITLE>
<link rel="stylesheet" href="/style.css" type="text/css">
</HEAD>
<BODY>
<P><STRONG>SDI Interface Diagnostics</STRONG><p>
<PRE>
EOM

if [ "$HAS_SDI" == false ] ; then
    echo "No SDI hardware detected."
else
    sdidiag
fi

cat << EOM
</PRE>
<P>
</BODY>
</HTML>
EOM
