#!/bin/sh

# Copyright (C) 2004-2010 QVidium Technologies, Inc. All rights reserved.

PROFILE=profile
NUM=1
tmp=`echo "$HTTP_REFERER" | sed 's/^.*?//'`
if [ "$tmp" != "" ] ; then
  eval `./cgiparse "$tmp"`
  case "$page" in
    *2) NUM=2 ; PROFILE=profile2 ;;
     *) NUM=1 ; PROFILE=profile ;;
  esac
fi

cat << EOT
Content-type: text/html

<HTML>
<HEAD>
<TITLE>Encoder $NUM Status</TITLE>
<link rel="stylesheet" href="/style.css" type="text/css">
</HEAD>
<BODY>
<h2><center>Encoder $NUM Status</center></h2>
EOT

/qvidium/rc.net_out start /flash/qvidium/encoder/$PROFILE $NUM

if [ $? = 111 ] ; then
    cat /var/log/net_out$NUM.log
else
    pidof encoder$NUM > /dev/null
    if [ $? = 0 ] ; then
        echo "Encoder started"
    else
        echo "Encoder not running"
    fi
fi

cat << EOT
</BODY>
</HTML>
EOT

exit 0
