#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

NUM=1
tmp=`echo "$HTTP_REFERER" | sed 's/^.*?//'`
if [ "$tmp" != "" ] ; then
  eval `./cgiparse "$tmp"`
  case "$page" in
    *2) NUM=2 ;;
     *) NUM=1 ;;
  esac
fi

pidof encoder$NUM > /dev/null
if [ $? = 0 ] ; then
    status=Stopped
else
    status="Not Running"
fi
/qvidium/rc.net_out stop $NUM
rm -f /flash/qvidium/net_out$NUM.conf

cat << EOT
Content-type: text/html

<HTML>
<HEAD>
<TITLE>Encoder $NUM Status</TITLE>
<link rel="stylesheet" href="/style.css" type="text/css">
</HEAD>
<BODY>
<h2><center>Encoder $NUM Status</center></h2>
Encoder is $status.
</BODY>
</HTML>
EOT

exit 0
