#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

echo -e "Content-type: text/html\n"

NUM=1
tmp=`echo "$HTTP_REFERER" | sed 's/^.*?//'`
if [ "$tmp" != "" ] ; then
  eval `./cgiparse "$tmp"`
  case "$page" in
    *2) NUM=2 ;;
     *) NUM=1 ;;
  esac
fi

case "$QUERY_STRING" in
    d) echo "Decoder messages cleared `date`" > /var/log/net_in.log
       echo "ARQ Receive messages cleared `date`" > /var/log/Channel1.log
       ;;
    e) echo "Encoder messages cleared `date`" > /var/log/net_out$NUM.log
       ;;
    t) echo "Transcoder messages cleared `date`" > /var/log/net_in_out.log
       echo "ARQ Receive messages cleared `date`" > /var/log/Channel1.log
       ;;
    *)
       echo "Encoder messages cleared `date`" > /var/log/net_out$NUM.log
       echo "Decoder messages cleared `date`" > /var/log/net_in.log
       echo "Transcoder messages cleared `date`" > /var/log/net_in_out.log
       echo "ARQ Receive messages cleared `date`" > /var/log/Channel1.log
       ;;
esac

cat << EOM
<HTML>
<HEAD>
<TITLE>Messages</TITLE>
<link rel="stylesheet" href="/style.css" type="text/css">
</HEAD>
<BODY>
<p><strong>Messages Cleared</strong></p>
</PRE>
<P>
</BODY>
</HTML>
EOM
