#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

echo -e "Content-type: text/html\n"

cat << EOM
<HTML>
<HEAD>
<TITLE>Processes</TITLE>
<link rel="stylesheet" href="/style.css" type="text/css">
</HEAD>
<BODY>
<h2><center>Network Status and Current Configuration</center></h2>
<PRE>
EOM

echo "<p><strong>Interfaces:</strong><p><pre>"
for dev in $(cat /proc/net/dev | grep : | awk -F: '{print $1}')
do
    case "$dev" in
        *eth*) /sbin/ifconfig $dev ;;
        *ppp*) /sbin/ifconfig $dev ;;
    esac
done

echo "</pre><p><strong>Network Routes:</strong><p><pre>"
/sbin/route -n

echo "</pre><p><br><strong>Domain Nameservers:</strong><p><pre>"
cat /etc/resolv.conf

echo "</pre><p><br><strong>Active Connections:</strong><p><pre>"
netstat -a -n

cat << EOM
</PRE>
<P>
</BODY>
</HTML>
EOM
