#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

echo -e "Content-type: text/html\n"

cat << EOM
<HTML>
<HEAD>
<TITLE>Traceroute</TITLE>
<link rel="stylesheet" href="/style.css" type="text/css">
</HEAD>
<BODY>
<P><STRONG>Traceroute results</STRONG><p>
<PRE>
EOM

if [ -n "$QUERY_STRING" ] ; then
    eval `./cgiparse "$QUERY_STRING"`
    traceroute -n -w 2 -I $ipaddr
else
    echo "Error: no IP Address or Hostname"
fi

cat << EOM
</PRE>
<P>
</BODY>
</HTML>
EOM

exit 0
