#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

echo -e "Content-type: text/html\n"

cat << EOM
<HTML>
<HEAD>
<TITLE>Processes</TITLE>
<link rel="stylesheet" href="/style.css" type="text/css">
</HEAD>
<BODY>
<h2><center>Software Versions</center></h2>
EOM

echo "<h3>Kernel</h3>"
uname -r -s -v
echo "<br>"

if [ -f /qvidium/qvidium-mpegipcodec.ver ] ; then
    echo "<h3>Application</h3>";
    cat /qvidium/qvidium-mpegipcodec.ver
fi

if [ -f /qvidium/firmware.ver ] ; then
    echo "<h3>Firmware</h3>";
    cat /qvidium/firmware.ver
fi

cat << EOM
</BODY>
</HTML>
EOM
