#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

echo -e "Content-type: text/html\n"

if [ "$REQUEST_METHOD" = "POST" ] ; then
    # parse MIME format stdin and save file to /tmp/transcoder_profile
    ./getfile > /tmp/transcoder_profile

    cat << ENDOFTEXT
<HTML>
<HEAD>
<link rel="stylesheet" href="/style.css" type="text/css">
<TITLE>Import Transcoder Profile Results</TITLE>
</HEAD>
<BODY>
<H2><CENTER>Import Transcoder Profile Results</CENTER></H2>
ENDOFTEXT

grep = /tmp/transcoder_profile > /tmp/trans_profile
if [ -s /tmp/trans_profile ] ; then
    rm -f /flash/qvidium/transcode/profile
    cp /tmp/trans_profile /flash/qvidium/transcode/profile
    if [ $? = 0 ] ; then
        echo -e "Import Completed<br><pre>\n"
        cat /flash/qvidium/transcode/profile
        echo -e "</pre>\n"
    else
        echo -e "Import did not complete.<br>Could not copy profile to flash.\n"
    fi
    sync
else
    echo -e "Import aborted. Invalid profile format. Must contain NAME=VALUE lines.<br><pre>\n"
    cat /tmp/transcoder_profile
    echo -e "</pre>\n"
fi

    cat << ENDOFTEXT
</BODY>
</HTML>
ENDOFTEXT

else
    cat << ENDOFTEXT
<HTML>
<HEAD>
<link rel="stylesheet" href="/style.css" type="text/css">
<TITLE>Import Transcoder Profile Results</TITLE>
</HEAD>
<BODY>
<H2><CENTER>Import Transcoder Profile Results</CENTER></H2>
Something when wrong: REQUEST_METHOD = $REQUEST_METHOD<br>
REQUEST_METHOD should be POST
</BODY>
</HTML>
ENDOFTEXT

fi
