<!--
// *****************************************************************************
// Copyright (c) 2004-2009 QVidium Technologies, Inc. All rights reserved.
// *****************************************************************************

// *****************************************************************************
// **                                SETTINGS                                 **
// *****************************************************************************

// 'linka' use this if part of the URL is the same in ALL the links
// In this example all the files are in a subfolder called 'pages'
linka='../cgi-bin/'

// the filename of the page the menu appears in eg 'menu.html'
thisPage='../cgi-bin/menu.cgi';

// Do you want to use images for the category bullets?
// If so then specify the path to your images folder from the menu page
imgPath='../images/';

// do you want to use images for the category bullets?
lev1img='yes';               // insert yes or no

// give image names and dimensions
lev1OpName='open.gif';       // open image name
lev1OpHeight='10';           // image height
lev1OpWidth='10';            // image width

lev1ClosName='closed.gif';   // closed image name
lev1ClosHeight='10';         // image height
lev1ClosWidth='10';          // image width

// do you want to use images for the sub-category bullets?
lev2img='no';                // insert yes or no

// give image names and dimensions
lev2Name='bullet.gif';       // image name
lev2Height='10';             // image height
lev2Width='16';              // image width

// do you want to use a text character for the sub-category bullets?
lev2Char='no';               // insert yes or no

// set bullet character for level 2 bullets
bullet = '&#155; ';

// base target - the frame that the links are targetting
base = 'main';

// *****************************************************************************
// **                             END OF SETTINGS                             **
// *****************************************************************************

// pulls 'page' variable out of URL - do not alter
var x = 0
page = location.search.substr(1).split("?")
for (x = 0; x <= page.length; x++)
{
    eval(page)
}
page = escape(page);
page = page.slice(7);

// do not alter this bit
function subMenu(name, linkb)
{
     this.name = name;
     this.linkb = linkb;
}
document.write('<BASE target="' + base + '">');

// *****************************************************************************
// **                             BUILD MENU DATA                             **
// *****************************************************************************

// System Menu
if (page=='system' || page=='systemHD' || page=='systemSD')
{
    var i = 0;
    thisMenu = new Array();
    thisMenu[i++] = new subMenu('Name','system_name.cgi');
    thisMenu[i++] = new subMenu('Hostname','system_hostname.cgi');
    thisMenu[i++] = new subMenu('Password','../system_password.html');
    thisMenu[i++] = new subMenu('Time','system_time.cgi');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i++] = new subMenu('Version','system_version.cgi');
    thisMenu[i++] = new subMenu('Update','../system_update.html');
    thisMenu[i++] = new subMenu('Readme','system_readme.cgi');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i++] = new subMenu('Processes','system_ps.cgi');
    thisMenu[i++] = new subMenu('CPU Usage','system_ps.cgi?usage');
    thisMenu[i++] = new subMenu('Uptime','system_uptime.cgi');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i++] = new subMenu('Kernel Log','system_dmesg.cgi');
    thisMenu[i++] = new subMenu('Clear Klog','system_dmesg.cgi?clear');
    thisMenu[i++] = new subMenu('System Log','system_syslog.cgi');
    thisMenu[i++] = new subMenu('Clear Slog','system_syslog.cgi?clear');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i] = new subMenu('Reboot','../system_reboot.html');
}

// License Menu
if (page=='license' || page=='licenseSD' || page=='licenseHD')
{
    var i = 0;
    thisMenu = new Array();
    if (page!='licenseSD')
    {
        thisMenu[i++] = new subMenu('Digital IO','digital_lic.cgi');
        thisMenu[i++] = new subMenu('HD Encode','hd_lic.cgi');
    }
    thisMenu[i] = new subMenu('Transcode','transcode_lic.cgi');
}

// Encoder Menu
if ((page=='encoder') || (page=='encoder2'))
{
    var i = 0;
    thisMenu = new Array();
    thisMenu[i++] = new subMenu('Profile','encoder-setup.cgi');
    thisMenu[i++] = new subMenu('Import','encoder_import.cgi');
    thisMenu[i++] = new subMenu('Export','encoder_export.cgi');
    thisMenu[i++] = new subMenu('Default','encoder_default.cgi');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i++] = new subMenu('Start','encoder_start.cgi');
    thisMenu[i++] = new subMenu('Volume','encoder_volume.cgi');
    thisMenu[i++] = new subMenu('Bitrate','encoder_bitrate.cgi');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i++] = new subMenu('Status','encoder_status.cgi');
    thisMenu[i++] = new subMenu('Monitor','encoder_status.cgi?m');
    thisMenu[i++] = new subMenu('Clear Stats','encoder_clear.cgi');
    thisMenu[i++] = new subMenu('Diagnostics','encoder_diags.cgi');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i++] = new subMenu('Show Log','logging_show.cgi?e');
    thisMenu[i++] = new subMenu('Clear Log','logging_clear.cgi?e');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i] = new subMenu('Stop','encoder_stop.cgi');
}

// Decoder Menu
if (page=='decoder')
{
    var i = 0;
    thisMenu = new Array();
    thisMenu[i++] = new subMenu('Profile','decoder-setup.cgi');
    thisMenu[i++] = new subMenu('Import','decoder_import.cgi');
    thisMenu[i++] = new subMenu('Export','decoder_export.cgi');
    thisMenu[i++] = new subMenu('Default','../decoder_default.html');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i++] = new subMenu('Start','decoder_start.cgi');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i++] = new subMenu('Status','decoder_status.cgi');
    thisMenu[i++] = new subMenu('Monitor','decoder_status.cgi?m');
    thisMenu[i++] = new subMenu('Screen','decoder_screen.cgi');
    thisMenu[i++] = new subMenu('Clear Stats','decoder_clear.cgi');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i++] = new subMenu('Show Log','logging_show.cgi?d');
    thisMenu[i++] = new subMenu('Clear Log','logging_clear.cgi?d');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i] = new subMenu('Stop','decoder_stop.cgi');
}

// Transcode Menu
if (page=='transcode')
{
    var i = 0;
    thisMenu = new Array();
    thisMenu[i++] = new subMenu('Profile','transcode-setup.cgi');
    thisMenu[i++] = new subMenu('Import','transcode_import.cgi');
    thisMenu[i++] = new subMenu('Export','transcode_export.cgi');
    thisMenu[i++] = new subMenu('Default','../transcode_default.html');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i++] = new subMenu('Start','transcode_start.cgi');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i++] = new subMenu('Status','transcode_status.cgi');
    thisMenu[i++] = new subMenu('Monitor','transcode_status.cgi?m');
    thisMenu[i++] = new subMenu('Clear Stats','transcode_clear.cgi');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i++] = new subMenu('Show Log','logging_show.cgi?t');
    thisMenu[i++] = new subMenu('Clear Log','logging_clear.cgi?t');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i] = new subMenu('Stop','transcode_stop.cgi');
}

// Management Menu
if (page=='management')
{
    var i = 0;
    thisMenu = new Array();
    thisMenu[i++] = new subMenu('Configure','mgmt_conf.cgi');
    thisMenu[i++] = new subMenu('Password','../system_password.html');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i++] = new subMenu('Get v1 MIB','mgmt_dlmib1.cgi');
    thisMenu[i++] = new subMenu('Get v2 MIB','mgmt_dlmib2.cgi');
    thisMenu[i] = new subMenu('SNMP Traps','mgmt_snmp_trap.cgi');
}

// Network Menu
if (page=='network')
{
    var i = 0;
    thisMenu = new Array();
    thisMenu[i++] = new subMenu('LAN1','network-setup1.cgi');
    thisMenu[i++] = new subMenu('LAN2','network-setup2.cgi');
    thisMenu[i++] = new subMenu('Multicast','mcast_conf.cgi');
    thisMenu[i++] = new subMenu('Ping Config','ping_conf.cgi');
    thisMenu[i++] = new subMenu('Hostname','system_hostname.cgi');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i++] = new subMenu('Status','network_status.cgi');
    thisMenu[i++] = new subMenu('IP Address','network_ipaddrs.cgi');
    thisMenu[i++] = new subMenu('-','');
    thisMenu[i++] = new subMenu('Ping','../network_ping.html');
    thisMenu[i] = new subMenu('Traceroute','../network_traceroute.html');
}

// Logging Menu
if (page=='logging')
{
    var i = 0;
    thisMenu = new Array();
    thisMenu[i] = new subMenu('Configure','syslog_conf.cgi');
}
//-->
