#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

# parse request
eval `./cgiparse "$QUERY_STRING"`

# set system password
/qvidium/set_passwd.sh "$newpassword" $NAME 2>&1 > /tmp/set_passwd.$$

cat << EOF
Content-type: text/html

<html>
<head>
 <title>Password Change Status</title>
EOF

if [ "$NAME" = root ] ; then
    cat << EOF
 <script language=javascript>

  var countdown = 4;

  function ProgressUpdate()
  {
     countdown--;
     if (countdown >= 0)
     {
        document.getElementById('progress').innerHTML = countdown;
        window.setTimeout("ProgressUpdate()", 1000);
     }
     else
     {
        var url = location.protocol + "//" + location.host + "/";
        top.location = url;
     }
  }

 </script>
EOF
fi

cat << EOF
</head>
<body onload="ProgressUpdate();">
Reconnecting in <span id="progress">4</span> seconds...
<h2><center>Password Change Status</center></h2>
<p><pre>
EOF

cat /tmp/set_passwd.$$

cat << EOF
</pre>
</body>
</html>
EOF

rm -f /tmp/set_passwd.$$
