#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

case "$SCRIPT_NAME" in
   *2*) NUM=2 ;;
     *) NUM= ;;
esac

PROFILE=/flash/qvidium/encoder/profile$NUM
DEFAULTS=/flash/qvidium/encoder/defaults

if [ -f $DEFAULTS ] ; then
    cp $DEFAULTS $PROFILE
else
    cat << EOT > $PROFILE
CLOSED_CAPTION=
LOW_DELAY=No
BOND_PORTS=false
LAN1_PERCENT=50
FRAME_RATE=Full
STREAM_TYPE=
TS_BITRATE=
NUM_B_FRAMES=auto
NUM_P_FRAMES=auto
VIDEO_PID=256
AUDIO_PID=272
PCR_PID=256
PMT_PID=48
VIDEO_BITRATE=2000000
ANALOG_HDVIDEO=No
AUDIO_BITRATE=128000
AUDIO_SAMPLE_RATE=48000
AUDIO_ENCODING="MPEG4 AAC"
VIDEO_ENCODING="H264"
VIDEO_INPUT=Composite
VIDEO_FILTER=On
VIDEO_SD_RES=Full
VIDEO_ASPECT=4x3
OUTPUT=Network
TRANSPORT=UDP
IPADDR_OR_HOSTNAME=
UDP_PORT=10000
NUM_TS_PKTS_PER_IP_PKT=7
ARQ_PORT=7020
DO_METADATA=
METADATA_PORT=
UNI_TTL=
M_TTL=
TOS=
EOT
fi

cat << EOT
Content-type: text/html

<HTML>
<HEAD>
<TITLE>Encoder Profile</TITLE>
<link rel="stylesheet" href="/style.css" type="text/css">
</HEAD>
<BODY>
Encoder profile set to defaults.
</BODY>
</HTML>
EOT
