#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

echo -e "Content-type: text/plain\n"

not_running=1
dev_qvencode=/dev/qvencode1
if pidof encoder1 > /dev/null ; then
    not_running=0
elif pidof encoder2 > /dev/null ; then
    dev_qvencode=/dev/qvencode2
    not_running=0
elif pidof transcoder > /dev/null ; then
    dev_qvencode=/dev/qvtranscode
    not_running=0
fi

if [ "$QUERY_STRING" = "" ]; then

    if [ $not_running = 1 ] ; then
        echo "Encoder not running."
        exit 0
    fi
    eval `/qvidium/qvctrl $dev_qvencode get_videobitrate`
    [ "$VIDEO_BITRATE" = "" ] && VIDEO_BITRATE="unknown"
else
    eval `./cgiparse "$QUERY_STRING"`
    if [ -n "$VIDEO_BITRATE" ] ; then
        eval `/qvidium/qvctrl $dev_qvencode "set_videobitrate $VIDEO_BITRATE"`
    else
        VIDEO_BITRATE="unknown"
    fi
fi

echo "VIDEO_BITRATE=$VIDEO_BITRATE"
