#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

NUM=1
tmp=`echo "$HTTP_REFERER" | sed 's/^.*?//'`
if [ "$tmp" != "" ] ; then
  eval `./cgiparse "$tmp"`
  case "$page" in
    *2) NUM=2 ;;
     *) NUM=1 ;;
  esac
fi

pidof encoder$NUM > /dev/null
if [ $? = 0 ] ; then
    date -R > /var/log/net_out$NUM.stats

    CLEAR_FILE=/var/run/tx_proxy$NUM.clear
    > $CLEAR_FILE
    CLEAR_FILE=/var/run/net_out$NUM.clear
    > $CLEAR_FILE
    sleep 1
    . ./encoder_status.cgi
else

cat << EOT
Content-type: text/html

<HTML>
<HEAD>
<TITLE>Encoder $NUM Status</TITLE>
<link rel="stylesheet" href="/style.css" type="text/css">
</HEAD>
<BODY>
<h2><center>Encoder $NUM Status</center></h2>
Encoder is not running.
</BODY>
</HTML>
EOT

fi

exit 0
