#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

echo -e "Content-type: text/html\n"

cat << EOM
<HTML>
<HEAD>
<TITLE>Messages</TITLE>
<link rel="stylesheet" href="/style.css" type="text/css">
</HEAD>
<BODY>
<P><STRONG>Messages</STRONG><p>
<PRE>
EOM

NUM=1
tmp=`echo "$HTTP_REFERER" | sed 's/^.*?//'`
if [ "$tmp" != "" ] ; then
  eval `./cgiparse "$tmp"`
  case "$page" in
    *2) NUM=2 ;;
     *) NUM=1 ;;
  esac
fi

show_encoder() {
    if [ -s /var/log/net_out$NUM.log ] ; then
        cat /var/log/net_out$NUM.log
    else
        echo "Encoder Messages is empty"
    fi
}

show_decoder() {
    if [ -s /var/log/net_in.log ] ; then
        cat /var/log/net_in.log
        if [ -s /var/log/Channel1.log ] ; then
            echo ""
            echo "ARQ Receive Messages"
            cat /var/log/Channel1.log
            echo ""
        fi
    else
        echo "Decoder Messages is empty"
    fi
}

show_transcode() {
    if [ -s /var/log/net_in_out.log ] ; then
        cat /var/log/net_in_out.log
        if [ -s /var/log/Channel1.log ] ; then
            echo ""
            echo "ARQ Receive Messages"
            cat /var/log/Channel1.log
            echo ""
        fi
    else
        echo "Transcoder Messages is empty"
    fi
}

case "$QUERY_STRING" in
    d) show_decoder
       ;;
    e) show_encoder
       ;;
    t) show_transcode
       ;;
    *)
       show_encoder
       echo ""
       show_decoder
       echo ""
       show_transcode
       ;;
esac

cat << EOM
</PRE>
<P>
</BODY>
</HTML>
EOM
