#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

echo -e "Content-type: text/html\n"

HAS_SDI=false
[ -f /flash/qvidium/inputs.conf ] && . /flash/qvidium/inputs.conf
[ "$HAS_SDI" = "" ] && HAS_SDI=false

cat << EOT
<html>
<head>
<!-- Copyright 2004-2009 QVidium Technologies, Inc. All rights reserved. -->
<title>QVidium Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="/jsmenu/style.css" type="text/css">
<script language='JavaScript' src='/jsmenu/jsmenu.js'></script>
<script language='JavaScript'>
//***************************************************
// Copyright (c) 2004-2009 QVidium Technologies, Inc.
// All rights reserved
//***************************************************

// opens menu section - do not alter
function openMenu(cat)
{
    var url;
    this.cat = cat;
    document.write('<span class="level1">');
    document.write('<a href = "' + thisPage + '?page=null" target="_self">');
    if (lev1img == 'yes')
    {
        document.write('<img src="' + imgPath + lev1OpName +'" width="' + lev1OpWidth + '" height="' + lev1OpHeight + '"border="0">');
    }
    document.write(cat + '</a></span><br>');
    for (x=0; x < thisMenu.length; x++)
    {
        url = new String(thisMenu[x].linkb);
        if (url.length == 0)
        {
            document.write('<hr class=nohref2>');
        }
        else
        {
            document.write('<span class="level2">');
            if (lev2img == 'yes')
            {
                document.write('<img src="' + imgPath + lev2Name +'" width="' + lev2Width + '" height="' + lev2Height + '">');
            }
            if (lev2Char == 'yes')
            {
                document.write(bullet);
            }
            if (url.indexOf("://") > 0) {
                document.write('<a href="' + thisMenu[x].linkb + '">' + thisMenu[x].name + '</a></span><br>');
            }
            else {
                document.write('<a href="' + linka + thisMenu[x].linkb + '">' + thisMenu[x].name + '</a></span><br>');
            }
        }
    }
    document.write('<br>');
}

// closes menu section - do not alter
function closeMenu(cat, pass)
{
    this.cat = cat;
    this.pass = pass;
    document.write('<span class = "level1">');
    document.write('<a href = "' + thisPage + '?page='+pass+'" target="_self">');
    if (lev1img == 'yes')
    {
        document.write('<img src="' + imgPath + lev1ClosName +'" width="' + lev1ClosWidth + '" height="' + lev1ClosHeight + '"border="0">');
    }
    document.write(cat + '</a></span><br>');
}
</script>

</head>

<body>
<script language="JavaScript">

//**********************************************************************
// Put the following blocks of code where you want your menu to appear
//**********************************************************************

EOT

if [ $HAS_SDI = true ] ; then
    cat << EOT
// write System Menu
if (page == 'systemHD')
{
    openMenu('System');
}
else
{
    closeMenu('System', 'systemHD');
}

// write license
if (page == 'licenseHD')
{
    openMenu('License');
}
else
{
    closeMenu('License', 'licenseHD');
}
EOT
else
    cat << EOT
// write System Menu
if (page == 'systemSD')
{
    openMenu('System');
}
else
{
    closeMenu('System', 'systemSD');
}

// write license
if (page == 'licenseSD')
{
    openMenu('License');
}
else
{
    closeMenu('License', 'licenseSD');
}
EOT
fi

if [ $HAS_SDI = ___true ] ; then
cat << EOT
// write encoder
if (page == 'encoder')
{
    openMenu('Encoder');
}
else
{
    closeMenu('Encoder', 'encoder');
}
EOT
else
cat << EOT
// write encoder
if (page == 'encoder')
{
    openMenu('Encoder 1');
}
else
{
    closeMenu('Encoder 1', 'encoder');
}
// write encoder
if (page == 'encoder2')
{
    openMenu('Encoder 2');
}
else
{
    closeMenu('Encoder 2', 'encoder2');
}
EOT
fi

cat << EOT
// write decoder
if (page == 'decoder')
{
    openMenu('Decoder');
}
else
{
    closeMenu('Decoder', 'decoder');
}

// write transcode
if (page == 'transcode')
{
    openMenu('Transcode');
}
else
{
    closeMenu('Transcode', 'transcode');
}

// write management
if (page == 'management')
{
    openMenu('Management');
}
else
{
    closeMenu('Management', 'management');
}

// write network
if (page == 'network')
{
    openMenu('Network');
}
else
{
    closeMenu('Network', 'network');
}

// write Logging
//if (page == 'logging')
//{
    //openMenu('Logging');
//}
//else
//{
    //closeMenu('Logging', 'logging');
//}

// write Messages
//if (page == 'messages')
//{
//    openMenu('Messages');
//}
//else
//{
//    closeMenu('Messages', 'messages');
//}
</script>

</body>
</html>
