#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

#$myroutes  = "/flash/qvidium/routes";

echo -e "Content-type: text/html\n"

. /etc/rc.conf
. /flash/conf/iflan

# Print common header
  cat <<ENDHTML;
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
"http://www.w3.org/TR/REC-html40/loose.dtd">
<html>
<head>
    <link rel="stylesheet" href="/style.css" type="text/css">
    <TITLE>Network Routes</TITLE>
</head>

<body>
ENDHTML

save=
if [ "$QUERY_STRING"x != x ]; then
  eval `./cgiparse "$QUERY_STRING"`

  GWopt=
  if [ "$gw"x != x ]; then 
    GWopt="gw $gw" 
  fi
  MSKopt=
  NETopt=
  if [ "$mask"x != x ]; then
    MSKopt="netmask $mask"
    NETopt="-net"
  fi

  if [ "$route" = "del" ]; then
    if [ "$net"x != x ]; then
      echo "<h3>Deleting Route $net</h3>"
      route del $NETopt $net $GWopt $MSKopt
      save=1
    else
      echo "<h3>Error Deleting Route: No subnet specified</h3>"
    fi
  else
    if [ "$net"x != x ]; then
      echo "<h3>Adding Route $net</h3>"
      route add $NETopt $net $GWopt $MSKopt
      save=1
    else
      echo "<h3>Error Adding Route: No subnet specified</h3>"
    fi
  fi

  echo "<hr><p>"
fi

  cat <<ENDHTML;
<P align="center"><STRONG>
<FONT size="5">Network Routes</P>
<P align="left"></FONT></STRONG></P>

<TABLE class="fixed" id="routes" cellSpacing="0" cellPadding="1" border="1">
<TR bgcolor='#6888b8'>
<TD> Subnet         </TD>
<TD> Netmask        </TD>
<TD> Gateway        </TD>
</TR>
ENDHTML

/sbin/route -n 2>&1 | awk -f route_list.awk

  cat <<ENDHTML
</TABLE>
<p>
<hr>
<form action="network_routes.cgi">
<p align="left"><INPUT type="submit" value="Add Route" name="route">
<p>
<TABLE class="fixed" id="routes" cellSpacing="0" cellPadding="1" border="1">
<TR bgcolor='#6888b8'>
<TD> Subnet         </TD>
<TD> Netmask        </TD>
<TD> Gateway        </TD>
</TR>
<TR>
<TD><input type="text" name=net></TD>
<TD><input type="text" name=mask></TD>
<TD><input type="text" name=gw></TD>
</TR>
</TABLE>
</form>
ENDHTML

if [ $save ]; then
  echo "Saving Routes...<br>"
  /sbin/route -n 2>&1 | awk -f route_save.awk > /flash/qvidium/routes
fi

  echo "</body></html>"
