#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

echo -e "Content-type: text/html\n"

file=/flash/etc/rc.conf
. $file

if [ "$QUERY_STRING"x = x ]; then
    cat << EOT
<html>
<head>
<title>System Hostname</title>
<link href="/style.css" type="text/css" rel="stylesheet">
<SCRIPT LANGUANG=JAVASCRIPT>
function verify()
{
    if (document.forms[0].newname.value == "")
    {
        alert("Please enter a hostname");
        return false;
    }
    else
    {
        return true;
    }
}
</SCRIPT>
</head>
<body>
<h2><center>System Hostname</center></h2>
<p>Name: <strong>$hostname</strong><br><p><p>
<FORM ACTION="system_hostname.cgi" onSubmit="return verify()">
   <TABLE class=props cellSpacing="1" cellPadding="10" border="1">
    <TR>
      <TD>New Hostname:</TD>
      <TD><INPUT TYPE=TEXT NAME="newname" size=30></TD>
    </TR>
   </TABLE>
  <p>
  <INPUT TYPE=SUBMIT VALUE="Change Hostname">
</FORM>
</body>
</html>
EOT
else
  eval `./cgiparse "$QUERY_STRING"`
  if [ "$hostname" != "$newname" ] ; then
    tmpfile=/tmp/rc.conf.$$
    sed 's/^.*hostname=.*$/hostname="'$newname'"/' $file > $tmpfile
    cp $tmpfile $file
    rm -f $tmpfile
    sync
    hostname $newname

    # Send out broadcast
    pidof ifconfig_server > /dev/null && killall -USR1 ifconfig_server
  fi
  cat << EOT
<html>
<head>
<title>System Hostname</title>
</head>
<body>
<h2><center>System Hostname</center></h2>
<p>Hostname: <strong>$newname</strong><br><p><p>
</body>
</html>
EOT
fi
