#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

PROFILE=/flash/qvidium/transcode/profile
DEFAULTS=/flash/qvidium/transcode/defaults

if [ -f $DEFAULTS ] ; then
    cp $DEFAULTS $PROFILE
else
    cat << EOT > $PROFILE
SRC_TRANSPORT=UDP
SRC_MULTICAST_IPADDR=
SRC_UDP_PORT=10000
NETWORK_JITTER=50
OUT_OF_ORDER_SIZE=
RESPONSE=250
ROBUST=1
NUM_RETRIES=2
RT_TIME=100
ARQ_MODE=Auto
ARQ_PORT=7020
PING_SENDER=0
SERVER_IPADDR=
ECHO_PORT=7
MODE="IP to IP"
VIDEO_ENCODING="H264"
VIDEO_RES=720x480
VIDEO_BITRATE=2000000
AUDIO_ENCODING="Pass Through"
DEST_TRANSPORT=UDP
DEST_IPADDR_OR_HOSTNAME=
DEST_UDP_PORT=10000
DEST_ARQ_PORT=7020
NUM_TS_PKTS_PER_IP_PKT=7
UNI_TTL=
M_TTL=
TOS=
EOT
fi

cat << EOT
Content-type: text/html

<HTML>
<HEAD>
<TITLE>Transcode Profile</TITLE>
<link rel="stylesheet" href="/style.css" type="text/css">
</HEAD>
<BODY>
Transcode profile set to defaults.
</BODY>
</HTML>
EOT
