#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

echo -e "Content-type: text/html\n"

HasPermLic=0
output=`/qvidium/LicenseId Transcode 2>&1 | awk '{printf("%s<br>\n", $0)}'`
if [ $? = 0 ] ; then # program is registered
  echo "$output" | grep Permanent > /dev/null
  [ $? = 0 ] && HasPermLic=1
fi

if [ $HasPermLic = 1 ] ; then # program is registered

    cat << ENDOFTEXT
<HTML>
<HEAD>
<link rel="stylesheet" href="/style.css" type="text/css">
<TITLE>Transcode Registration</TITLE>
</HEAD>
<BODY>
<H2><CENTER>Transcode Registration</CENTER></H2>
$output
</BODY>
</HTML>
ENDOFTEXT

else # program is not registered

    cat << ENDOFTEXT
<HTML>
<HEAD>
<link rel="stylesheet" href="/style.css" type="text/css">
<TITLE>Transcode Registration</TITLE>
<SCRIPT LANGUAGE=JAVASCRIPT>
function verify(){
    if (document.forms[0].upfile.value == "")
    {
        alert("Enter a file ending with '.lic'");
        return false;
    }
    else
    {
        return true;
    }
  }
</SCRIPT>
</HEAD>
<BODY>
<H2><CENTER>Transcode Registration</CENTER></H2>
<b>$output</b>
<BR>
Send the Identification to <a href="mailto:info@qvidium.com">info@QVidium.com</a>
<BR>
You will be sent a license file.
<P>
Browse for the QVidium license file, then press "Save".<BR>
<BR>
<FORM method='POST' enctype='multipart/form-data'
                    action='/cgi-bin/transcode_savelic.cgi'
                    onSubmit="return verify()">
<TABLE class=props cellSpacing="1" cellPadding="10" border="1">
  <TR>
    <TD>File: </TD>
    <TD><INPUT TYPE=FILE NAME=upfile></TD>
  </TR>
</TABLE>
<BR>
<INPUT TYPE=SUBMIT VALUE="Save">
</FORM>

</BODY>
</HTML>
ENDOFTEXT

fi
