#!/bin/sh

# Copyright (C) 2004-2010 QVidium Technologies, Inc. All rights reserved.

cat << EOT
Content-type: text/html

<HTML>
<HEAD>
<TITLE>Transcode Status</TITLE>
<link rel="stylesheet" href="/style.css" type="text/css">
</HEAD>
<BODY>
<h2><center>Transcode Status</center></h2>
EOT

if [ ! -r /flash/qvidium/transcode/profile ] ; then
    cp /flash/qvidium/transcode/defaults /flash/qvidium/transcode/profile
fi

/qvidium/rc.net_in_out start /flash/qvidium/transcode/profile

if [ $? = 111 ] ; then
    cat /var/log/net_in_out.log
else
    pidof transcoder > /dev/null
    if [ $? = 0 ] ; then
        echo "Transcoder started"
    else
        echo "Transcoder not running"
    fi
fi

cat << EOT
</BODY>
</HTML>
EOT

exit 0
