#!/bin/sh

# Copyright (C) 2004-2009 QVidium Technologies, Inc. All rights reserved.

pidof transcoder > /dev/null
if [ $? = 0 ] ; then
    status=Stopped
else
    status="Not Running"
fi
/qvidium/rc.net_in_out stop
rm -f /flash/qvidium/net_in_out.conf

cat << EOT
Content-type: text/html

<HTML>
<HEAD>
<TITLE>Transcoder Status</TITLE>
<link rel="stylesheet" href="/style.css" type="text/css">
</HEAD>
<BODY>
<h2><center>Transcoder Status</center></h2>
Transcoder is $status.
</BODY>
</HTML>
EOT

exit 0
